import processing.core.*; 
import processing.data.*; 
import processing.event.*; 
import processing.opengl.*; 

import java.util.HashMap; 
import java.util.ArrayList; 
import java.io.File; 
import java.io.BufferedReader; 
import java.io.PrintWriter; 
import java.io.InputStream; 
import java.io.OutputStream; 
import java.io.IOException; 

public class alone extends PApplet {

// Alone, by Jack Michielsen
// 2012
// simple game 
float screenXrand;
float screenYrand;

PImage guy1;
PFont font;
int guyX = (200); //player starting X Position
int guyY = (200); //player starting Y Position
int step = 2; //pixels per buttonpress

public void setup() {
  font = loadFont("Andalus-24.vlw");
  size((displayWidth),(displayHeight));
  background(0); 
  guy1 = loadImage("guy1.png");
}

public void draw() {
  background(0);
  textFont(font,24);
  text("alone",24,40);
  image(guy1,guyX,guyY);

//////////////////////KEY SETUP//////////////////////
  if (keyPressed) {
    if (guyY > -16){
      if (key == '8' || key == 'w' || key == 'W' || keyCode == 38) {
        guyY-=step;
      }
    }
    if (guyY < height) {
      if (key == '2' || key == 's' || key == 'S' || keyCode == 40) {
        guyY+=step;
      }
    }
    if (guyX > -16) {
      if (key == '4' || key == 'a' || key == 'A' || keyCode == 37) {
      guyX-=step;
      }
    }
    if (guyX < width) {
      if (key == '6' || key == 'd' || key == 'D' || keyCode == 39) {
        guyX+=step;
      }
    }
  }
//  making the world borderless //
  if (guyX > displayWidth-1) {
    guyX = -15;
  }
  if (guyX < -15) {
    guyX = displayWidth-1;
  }
  if (guyY > displayHeight-1) {
    guyY = -15;
  }
  if (guyY < -15) {
    guyY = displayHeight-1;
  }
}
////////////////////END KEY SETUP////////////////////

/////////////// "RANDOM" RESET BUTTON ///////////////
/*
void keyReleased() {
  if (key == 10) { // 10 = ENTER
    screenXrand = (random(16,displayWidth));
    int tScreenX = int(screenXrand-=16);
    guyX=tScreenX;
    
    screenYrand = (random(16,displayHeight));
    int tScreenY = int(screenYrand-=16);
    guyY=tScreenY;
  }
}
*/
  static public void main(String[] passedArgs) {
    String[] appletArgs = new String[] { "--full-screen", "--bgcolor=#000000", "--hide-stop", "alone" };
    if (passedArgs != null) {
      PApplet.main(concat(appletArgs, passedArgs));
    } else {
      PApplet.main(appletArgs);
    }
  }
}
